=== debian/control ===
Source: jitterentropy-rngd
Section: utils
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper (>= 10),
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: http://www.chronox.de/jent.html
Vcs-Git: https://salsa.debian.org/debian/jitterentropy-rngd.git
Vcs-Browser: https://salsa.debian.org/debian/jitterentropy-rngd

Package: jitterentropy-rngd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Jitter RNG Daemon
 Using the Jitter RNG core, the rngd provides an entropy source that
 feeds into the Linux /dev/random device if its entropy runs low. It
 updates the /dev/random entropy estimator such that the newly provided
 entropy unblocks /dev/random.
 .
 The seeding of /dev/random also ensures that /dev/urandom benefits from
 entropy. Especially during boot time, when the entropy of Linux is low,
 the Jitter RNGd provides a source of sufficient entropy.
