## jitterentropy-rngd 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Compile Noise Source as user space application
 
-CC=$(CROSS_COMPILE)gcc
-STRIP=$(CROSS_COMPILE)strip
+CC ?= $(CROSS_COMPILE)gcc
+STRIP ?= $(CROSS_COMPILE)strip
 CFLAGS ?=-Wextra -Wall -pedantic -fPIE -pie -fstack-protector-strong -fwrapv --param ssp-buffer-size=4
 LDFLAGS ?=-Wl,-z,relro,-z,now
 
@@ -9,6 +9,7 @@
 DESTDIR :=
 INSTALL ?= install
 PREFIX := /usr/local
+UNITDIR ?= $(shell pkg-config --variable=systemdsystemunitdir systemd 2>/dev/null || echo /usr/lib/systemd/system)
 
 NAME := jitterentropy-rngd
 #C_SRCS := $(wildcard *.c)
@@ -36,12 +37,15 @@
 	$(STRIP) --strip-unneeded $(NAME)
 
 install: strip
-	$(INSTALL) -D -m 0755 -s $(NAME) $(DESTDIR)$(PREFIX)/sbin/$(NAME)
+	$(INSTALL) -D -m 0755 $(NAME) $(DESTDIR)$(PREFIX)/sbin/$(NAME)
 	$(INSTALL) -D -m 0644 $(NAME).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(NAME).1
 	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/$(NAME).1
+	sed "s|@PATH@|$(PREFIX)/sbin|" jitterentropy.service.in > jitterentropy.service
+	$(INSTALL) -D -m 0644 jitterentropy.service $(DESTDIR)$(UNITDIR)/jitterentropy.service
 
 clean:
 	@- $(RM) $(NAME)
 	@- $(RM) $(OBJS)
+	@- $(RM) jitterentropy.service
 
 distclean: clean
