=== debian/changelog ===
jitterentropy-rngd (1.1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.1.0'
  * Drop patches merged upstream in v1.1.0
  * Bump Standards-Version to 4.4.0, no changes
  * d/rules: systemd unit is installed by the makefile now
  * d/rules: CHANGES was renamed to CHANGES.md
  * Add build-dependency on pkg-config and systemd for systemd.pc
  * Enable all hardening flags, 'bind now' was missing
  * d/watch: switch to https

 -- Luca Boccassi <bluca@debian.org>  Sat, 28 Sep 2019 14:06:14 +0100
