=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
-Build-Depends: debhelper (>= 10),
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), pkg-config, systemd,
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://www.chronox.de/jent.html
 Vcs-Git: https://salsa.debian.org/debian/jitterentropy-rngd.git
