=== debian/rules ===
#!/usr/bin/make -f

# Upstream mandates to build without optimizations. It already uses
# pragma to enforce it with GCC, but it doesn't work with Clang.
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_APPEND=-O0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr STRIP=true

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md
