=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config, systemd,
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), pkg-config, systemd,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.chronox.de/jent.html
+Homepage: https://www.chronox.de/jent.html
 Vcs-Git: https://salsa.debian.org/debian/jitterentropy-rngd.git
 Vcs-Browser: https://salsa.debian.org/debian/jitterentropy-rngd
 
 Package: jitterentropy-rngd
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: Jitter RNG Daemon
  Using the Jitter RNG core, the rngd provides an entropy source that
