## jitterentropy-rngd 1.2.4

=== debian/changelog ===
jitterentropy-rngd (1.2.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.4'
  * Bump Standards-Version to 4.6.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 11:49:24 +0100

jitterentropy-rngd (1.2.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.3'
  * Drop all patches, merged upstream.
  * Build with -O0.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:22:35 +0100
