## jitterentropy-rngd 1.2.5

=== debian/changelog ===
jitterentropy-rngd (1.2.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.5'

 -- Luca Boccassi <bluca@debian.org>  Sun, 19 Sep 2021 15:13:31 +0100
