## jitterentropy-rngd 1.2.6

=== debian/changelog ===
jitterentropy-rngd (1.2.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.6'

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Oct 2021 21:55:25 +0100
