## jitterentropy-rngd 1.2.7

=== debian/changelog ===
jitterentropy-rngd (1.2.7-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.7'
  * Bump d/copyright year range
  * Update lintian-overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Mar 2022 12:50:06 +0000
