=== debian/changelog ===
jitterentropy-rngd (1.2.8-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0, no changes
  * Switch to pkgconf
  * Update d/watch to use Github

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 May 2024 15:09:22 +0100

jitterentropy-rngd (1.2.8-2) unstable; urgency=medium

  * Build-depend on systemd-dev instead of systemd (Closes: #1060525)
  * Bump Standards-Version to 4.6.2, no changes
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Jan 2024 23:46:42 +0000

jitterentropy-rngd (1.2.8-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.2.8'
  * Bump Standards-Version to 4.6.1, no changes
  * Update Lintian override syntax

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Sep 2022 00:39:25 +0100
