=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, systemd,
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), pkgconf, systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.chronox.de/jent.html
 Vcs-Git: https://salsa.debian.org/debian/jitterentropy-rngd.git
