=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/jitterentropy-rngd-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/smuellerDD/jitterentropy-rngd/tags .*/archive/refs/tags/v([\d\.]+).tar.gz
